liborigin2 29/08/2011

Public Member Functions | Protected Member Functions | List of all members
Origin500Parser Class Reference

`#include <Origin500Parser.h>`

Inheritance diagram for Origin500Parser:

## Public Member Functions
| Origin500Parser (const string &fileName)
bool | parse ()
Public Member Functions inherited from Origin610Parser
| Origin610Parser (const string &fileName)
bool | parse ()
Public Member Functions inherited from Origin800Parser
| Origin800Parser (const string &fileName)
bool | parse ()
Public Member Functions inherited from Origin750Parser
| Origin750Parser (const string &fileName)
Public Member Functions inherited from OriginParser
int | findExcelByName (const string &name) const
int | findFunctionByName (const string &name) const
int | findMatrixByName (const string &name) const
int | findSpreadByName (const string &name) const
void | setFileVersion (unsigned int version)
virtual | ~OriginParser ()

## Protected Member Functions
void | readColorMap (ColorMap &colorMap)
bool | readGraphInfo ()
void | readNotes ()
Protected Member Functions inherited from Origin610Parser
int | findObjectInfoSectionByName (unsigned int start, const string &name)
bool | readGraphInfo ()
void | readMatrixInfo ()
void | readNotes ()
void | readResultsLog ()
Protected Member Functions inherited from Origin800Parser
unsigned int | findStringPos (const string &name)
void | readMatrixInfo ()
void | readResultsLog ()
void | readSpreadInfo ()
Protected Member Functions inherited from Origin750Parser
time_t | doubleToPosixTime (double jdt)
void | readColumnValues (unsigned int spread, unsigned int col, short data_type, char valuesize, unsigned int nr, bool validColumn=true)
void | readExcelInfo ()
void | readFunction (unsigned int colpos, char valuesize, unsigned int *oldpos)
void | readGraphAxisBreakInfo (GraphAxisBreak &axis_break)
void | readGraphAxisFormatInfo (GraphAxisFormat &format)
unsigned int | readGraphAxisInfo (GraphAxis &axis)
void | readGraphAxisPrefixSuffixInfo (const string &sec_name, unsigned int size, GraphLayer &layer)
void | readGraphAxisTickLabelsInfo (GraphAxisTick &tick)
void | readGraphGridInfo (GraphGrid &grid)
void | readMatrixInfo ()
void | readMatrixValues (short data_type, char data_type_u, char valuesize, unsigned int size, int mIndex=-1)
void | readParameters ()
void | readProjectTree ()
virtual void | readProjectTreeFolder (tree< ProjectNode >::iterator parent)
void | readSpreadInfo ()
void | readWindowProperties (Window &window, unsigned int size)
void | skipLine ()
void | skipObjectInfo ()
double | stringToDouble (const string &s)
Protected Member Functions inherited from OriginParser
void | convertSpreadToExcel (vector< Origin::SpreadSheet >::size_type spread)
int | findColumnByIndexAndName (int spread, unsigned int index, const string &name)
int | findColumnByName (int spread, const string &name)
pair< string, string > | findDataByIndex (unsigned int index) const
int | findExcelColumnByName (int excel, int sheet, const string &name) const
pair< Origin::ProjectNode::NodeType, string > | findObjectByIndex (unsigned int index) const

## Additional Inherited Members
Public Attributes inherited from OriginParser
vector< Origin::Excel > | excels
unsigned int | fileVersion
vector< Origin::Function > | functions
vector< Origin::Graph > | graphs
vector< Origin::Matrix > | matrices
vector< Origin::Note > | notes
tree< Origin::ProjectNode > | projectTree
string | resultsLog
vector< Origin::SpreadSheet > | speadSheets
unsigned int | windowsCount
Protected Attributes inherited from Origin800Parser
string | notes_pos_mark
Protected Attributes inherited from Origin750Parser
unsigned int | d_colormap_offset
iendianfstream | file
FILE * | logfile
unsigned int | objectIndex

## Constructor & Destructor Documentation

## ◆ Origin500Parser()

Origin500Parser::Origin500Parser | ( | const string & | fileName | ) |

## Member Function Documentation

## ◆ parse()

bool Origin500Parser::parse | ( |  | ) |
| virtual

Implements OriginParser.

References Origin750Parser::file, OriginParser::findExcelByName(), OriginParser::findMatrixByName(), OriginParser::findSpreadByName(), OriginParser::functions, OriginParser::graphs, LOG_PRINT, Origin750Parser::logfile, OriginParser::matrices, Origin750Parser::readColumnValues(), Origin750Parser::readExcelInfo(), Origin750Parser::readFunction(), readGraphInfo(), Origin610Parser::readMatrixInfo(), Origin750Parser::readMatrixValues(), readNotes(), Origin750Parser::readParameters(), Origin800Parser::readSpreadInfo(), Origin750Parser::skipLine(), and OriginParser::speadSheets.

## ◆ readColorMap()

void Origin500Parser::readColorMap | ( | ColorMap & | colorMap | ) |
| protected virtual

Reimplemented from Origin750Parser.

References Origin::Color::Custom, Origin::Color::custom, Origin750Parser::file, Origin::ColorMapLevel::fillColor, Origin::ColorMap::levels, and Origin::Color::type.

Referenced by Origin410Parser::readGraphInfo(), and readGraphInfo().

## ◆ readGraphInfo()

bool Origin500Parser::readGraphInfo | ( |  | ) |
| protected virtual

Reimplemented from Origin750Parser.

References Origin::Figure::attach, Origin::GraphCurve::Bar, Origin::GraphCurve::BarStack, Origin::BDiagMedium, Origin::Figure::clientRect, Origin::Bitmap::clientRect, Origin::Figure::color, Origin::Line::color, Origin::GraphCurve::Column, Origin::GraphCurve::ColumnStack, Origin::DiagCrossMedium, Origin::FDiagMedium, Origin750Parser::file, Origin::Figure::fillAreaColor, Origin::Figure::fillAreaPattern, Origin::Figure::fillAreaPatternColor, Origin::ColorMap::fillEnabled, OriginParser::findDataByIndex(), OriginParser::graphs, Origin::Rect::height(), Origin::HorizontalMedium, Origin::Rect::left, LOG_PRINT, Origin750Parser::logfile, Origin::NoFill, Origin::None, Origin::Color::None, readColorMap(), Origin750Parser::readGraphAxisBreakInfo(), Origin750Parser::readGraphAxisInfo(), Origin750Parser::readGraphAxisPrefixSuffixInfo(), Origin750Parser::readWindowProperties(), Origin::Color::Regular, Origin::Color::regular, Origin::LineVertex::shapeLength, Origin::LineVertex::shapeType, Origin::LineVertex::shapeWidth, Origin::Figure::style, Origin::Rect::top, Origin::Color::type, Origin::Figure::type, Origin::Figure::useBorderColor, Origin::VerticalMedium, Origin::Rect::width(), Origin::Figure::width, Origin::LineVertex::x, and Origin::LineVertex::y.

Referenced by parse().

## ◆ readNotes()

void Origin500Parser::readNotes | ( |  | ) |
| protected virtual

Reimplemented from Origin800Parser.

References Origin::Rect::bottom, Origin750Parser::file, Origin::Rect::left, LOG_PRINT, Origin750Parser::logfile, OriginParser::notes, Origin750Parser::objectIndex, Origin::Rect::right, and Origin::Rect::top.

Referenced by parse().

The documentation for this class was generated from the following files:

- /build/liborigin2/src/liborigin2/Origin500Parser.h
- /build/liborigin2/src/liborigin2/Origin500Parser.cpp